Bug 1405790 - certmonger: FTBFS in Fedora Rawhide
Summary: certmonger: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: certmonger
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
: 1419559 (view as bug list)
Depends On:
Blocks: 1383740 F26AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2016-12-18 13:23 UTC by Igor Gnatenko
Modified: 2017-03-02 23:20 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-02 23:20:06 UTC


Attachments (Terms of Use)

Description Igor Gnatenko 2016-12-18 13:23:10 UTC
scepgen-n.c: In function 'cm_scepgen_n_resign':
scepgen-n.c:91:10: warning: implicit declaration of function 'i2d_ASN1_SET_OF_X509_ATTRIBUTE' [-Wimplicit-function-declaration]
  salen = i2d_ASN1_SET_OF_X509_ATTRIBUTE(sinfo->auth_attr, NULL,
          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
scepgen-n.c:95:13: error: 'IS_SET' undeclared (first use in this function)
             IS_SET);
             ^~~~~~
scepgen-n.c:95:13: note: each undeclared identifier is reported only once for each function it appears in
scepgen-n.c:123:2: warning: implicit declaration of function 'M_ASN1_OCTET_STRING_set' [-Wimplicit-function-declaration]
  M_ASN1_OCTET_STRING_set(sinfo->enc_digest,
  ^~~~~~~~~~~~~~~~~~~~~~~

Comment 1 Lukas Slebodnik 2017-02-10 21:59:28 UTC
*** Bug 1419559 has been marked as a duplicate of this bug. ***

Comment 3 Lukas Slebodnik 2017-02-14 15:42:11 UTC
I started a little bit to port certmonger to openssl-1.1
https://fedorahosted.org/certmonger/ticket/64.

But I am not an expert in this area so someone else need to finish it.

Comment 4 Fedora Blocker Bugs Application 2017-02-14 23:09:17 UTC
Proposed as a Blocker for 26-alpha by Fedora user lslebodn using the blocker tracking app because:

 It must be possible to join the system to a FreeIPA or Active Directory domain at install time and post-install, and the system must respect the identity, authentication and access control configuration provided by the domain.

And it is not possible to install freeipa-client because nothing provides libxmlrpc_util.so.3()(64bit) needed by certmonger-0.78.6-4.fc26.x86_64

Comment 5 Adam Williamson 2017-02-15 17:31:32 UTC
+1 blocker. We could do a build with the proposed patches from the trac ticket, but not sure that's the best idea yet.

Comment 6 Geoffrey Marr 2017-02-27 19:00:34 UTC
Discussed during the 2017-02-27 blocker review meeting: [1]

The decision to classify this bug as an accepted blocker was made as it violates the following Alpha-blocker criteria:

"It must be possible to join the system to a FreeIPA or Active Directory domain at install time and post-install, and the system must respect the identity, authentication and access control configuration provided by the domain"

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-02-27/f26-blocker-review.2017-02-27-17.00.txt

Comment 7 Adam Williamson 2017-02-28 02:23:09 UTC
This also prevents deployment of a FreeIPA server, which is itself Alpha blocking, as freeipa-server depends on freeipa-client.

Comment 8 Fedora End Of Life 2017-02-28 10:48:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Adam Williamson 2017-02-28 17:15:46 UTC
It seems certmonger has now been rebuilt:

https://koji.fedoraproject.org/koji/buildinfo?buildID=862860

can this be closed?

Comment 10 Adam Williamson 2017-03-02 23:20:06 UTC
I'm gonna go ahead and figure 'yes'.


Note You need to log in before you can comment on or make changes to this bug.